#
# spec file for package pari-elldata
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pari-elldata
Version:        20161017
Release:        lp151.2.1
Summary:        Elliptic Curve Data for the PARI CAS
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Url:            http://pari.math.u-bordeaux.fr/

Source:         http://pari.math.u-bordeaux.fr/pub/pari/packages/elldata.tgz
Source2:        http://pari.math.u-bordeaux.fr/pub/pari/packages/elldata.tgz.asc
Source3:        LICENSE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  xz
BuildArch:      noarch
Conflicts:      libpari-gmp < 2.2.11

%description
PARI/GP version of J. E. Cremona's Elliptic Curve Data, needed by
the PARI functions "ellsearch" and "ellidentify".

%prep
%setup -Tcq
cp "%_sourcedir/LICENSE" .;

%build

%install
b="%buildroot";
c="$b/%_datadir/pari";
mkdir -p "$c";
pushd "$c";
tar -xf "%{S:0}";
popd;

%files
%defattr(-,root,root)
%_datadir/pari
%doc LICENSE

%changelog
* Tue Nov 29 2016 jengelh@inai.de
- Update to new upstream release 20161017
  * No changelog was provided
* Sat Mar 12 2016 jengelh@inai.de
- Update to new upstream release 20160215
  * No changelog was provided
* Mon Jun  8 2015 jengelh@inai.de
- Update to new upstream release 20150519
  * No upstream changelog was provided
* Sun Oct 12 2014 jengelh@inai.de
- Update to new upstream release 20140908
  * No upstream changelog was provided
* Fri Aug  8 2014 jengelh@inai.de
- Update to new upstream release 20140512
  * No upstream changelog was provided
* Fri Apr 18 2014 jengelh@inai.de
- Update to new upstream release 20140330
  * No upstream changelog was provided
* Wed Feb  5 2014 jengelh@inai.de
- Update to new upstream version 20140113
  * No changelog provided
* Thu Nov 29 2012 jengelh@inai.de
- Update to new upstream version 20121022
  * No changelog provided
* Mon Sep 26 2011 jengelh@medozas.de
- Initial package (version 20110915) for build.opensuse.org
